> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Get individual SCIM Schema by ID

`GET https://api.pagerduty.com/scim/v2/Schemas/{id}`

Retrieves an individual SCIM Schema by ID.
Scoped OAuth requires: `users.read`

## Authorization

- **apiKey** (apiKey) — `Authorization` header. A [General Access API Key](https://support.pagerduty.com/main/docs/api-access-keys#generate-a-general-access-rest-api-key) with format `Token token=<API_KEY>`
- **bearerToken** (http) — HTTP bearer. An [App OAuth Token](https://docs.pagerduty.com/developer/private-apps) with format `Bearer <TOKEN>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the schema targeted in this request. |

## Response 200

SCIM Schema

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `attributes` | array of object | yes | A complex type that specifies the set of attributes that make up the schema. |
| `attributes[].canonicalValues` | array of string |  | A list of canonical values. When specified, service providers MUST restrict accepted values to the specified values. |
| `attributes[].caseExact` | boolean | yes | A Boolean value indicating whether the attribute is case sensitive. |
| `attributes[].description` | string | yes | The attribute's human-readable description. Min length: 1. |
| `attributes[].multiValued` | boolean | yes | A Boolean value indicating whether the attribute can have multiple values. |
| `attributes[].mutability` | string | yes | Indicates whether the attribute is modifiable. One of: `readOnly`, `readWrite`, `immutable`, `writeOnly`. |
| `attributes[].name` | string | yes | The attribute's name. Min length: 1. |
| `attributes[].required` | boolean | yes | A Boolean value indicating whether the attribute is required. |
| `attributes[].returned` | string | yes | Indicates when the attribute is returned. One of: `always`, `never`, `default`, `request`. |
| `attributes[].subAttributes` | array of object |  | List of sub-attributes for complex attributes. |
| `attributes[].type` | string | yes | The attribute's data type. One of: `string`, `boolean`, `decimal`, `integer`, `dateTime`, `reference`, `complex`. |
| `attributes[].uniqueness` | string | yes | Indicates how unique a value must be. One of: `none`, `server`, `global`. |
| `description` | string | yes | The schema's human-readable description. Min length: 1. |
| `id` | string (uri) | yes | The unique identifier for the schema. Min length: 1. Pattern: `^urn:.*`. |
| `meta` | object | yes |  |
| `meta.resourceType` | string | yes | The resource type. |
| `name` | string | yes | The schema's human-readable name. Min length: 1. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:schemas:core:2.0:Schema"]`. Min items: 1. Items must be unique. |

## Response 400

Bad Request

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Response 401

Unauthorized

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Response 403

Forbidden

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Response 404

Schema Not Found

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Response 500

Internal Server Error

### `application/scim+json`

| Field | Type | Required | Description |
|---|---|---|---|
| `detail` | string | yes | Detailed error explanation. |
| `schemas` | array of string (uri) | yes | URIs that indicate the schemas used in data. Default: `["urn:ietf:params:scim:api:messages:2.0:Error"]`. Min items: 1. Items must be unique. |
| `scimType` | string |  | SCIM error type. One of: `invalidFilter`, `tooMany`, `uniqueness`, `mutability`, `invalidSyntax`, `invalidPath`, `noTarget`, `invalidValue`, `invalidVers`, `sensitive`. |
| `status` | string | yes | HTTP status code for the error. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
